osl::eval::ml::KingXBlockedY Class Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::KingXBlockedY:

## Static Public Member Functions

static void | setUp (const Weights &weights, int stage)
static const MultiIntPair | eval (const NumEffectState &state)
Static Public Member Functions inherited from osl::eval::ml::KingXBlockedYBase
static const MultiIntPair | eval (const NumEffectState &state, const table_t &table)
static void | evalWithUpdateBang (const NumEffectState &state, Move laste_move, MultiIntPair &last_values_and_out)
template<osl::Player P>
static int | index (Square king, int diff)

## Static Private Attributes

static table_t | table

## Friends

class | KingXBlockedBoth
class | KingXBlockedYBase

## Additional Inherited Members

Public Types inherited from osl::eval::ml::KingXBlockedYBase
enum | { DIM = 90 }
typedef CArray< MultiInt, 90 > | table_t

## Detailed Description

Definition at line 232 of file core/osl/eval/king8.h.

## Member Function Documentation

## eval()

const MultiIntPair osl::eval::ml::KingXBlockedY::eval | ( | const NumEffectState & | state | ) |

inline static

Definition at line 238 of file core/osl/eval/king8.h.

References osl::eval::ml::KingXBlockedYBase::eval(), and table.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

## setUp()

void osl::eval::ml::KingXBlockedY::setUp | ( | const Weights & | weights,
|  | int | stage )

static

Definition at line 923 of file king8.cc.

References table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## KingXBlockedBoth

friend class KingXBlockedBoth

friend

Definition at line 234 of file core/osl/eval/king8.h.

References KingXBlockedBoth.

Referenced by KingXBlockedBoth.

## KingXBlockedYBase

friend class KingXBlockedYBase

friend

Definition at line 235 of file core/osl/eval/king8.h.

References KingXBlockedYBase.

Referenced by KingXBlockedYBase.

## Member Data Documentation

## table

osl::CArray< MultiInt, 90 > osl::eval::ml::KingXBlockedY::table

static private

Definition at line 243 of file core/osl/eval/king8.h.

Referenced by osl::eval::ml::KingXBlockedYBase::adjust(), eval(), and setUp().

The documentation for this class was generated from the following files:

- core/osl/eval/king8.h
- king8.cc